Groovy 1.7.0

## org.codehaus.groovy.classgen
Class CompileStack.StateStackElement

    java.lang.Object
      org.codehaus.groovy.classgen.CompileStack.StateStackElement

    class CompileStack.StateStackElement

Field Summary
`Label` | `breakLabel`
`Label` | `continueLabel`
`Map` | `currentBlockNamedLabels`
`LinkedList` | `finallyBlocks`
`Label` | `finallyLabel`
`int` | `lastVariableIndex`
`int` | `nextVariableIndex`
`VariableScope` | `scope`
`Map` | `stackVariables`
`Map` | `superBlockNamedLabels`
`List` | `temporaryVariables`
`List` | `usedVariables`

Constructor Summary
`CompileStack.StateStackElement()`

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### breakLabel

    final Label breakLabel

### continueLabel

    final Label continueLabel

### currentBlockNamedLabels

    final Map currentBlockNamedLabels

### finallyBlocks

    final LinkedList finallyBlocks

### finallyLabel

    Label finallyLabel

### lastVariableIndex

    final int lastVariableIndex

### nextVariableIndex

    final int nextVariableIndex

### scope

    final VariableScope scope

### stackVariables

    final Map stackVariables

### superBlockNamedLabels

    final Map superBlockNamedLabels

### temporaryVariables

    List temporaryVariables

### usedVariables

    List usedVariables

Constructor Detail

### CompileStack.StateStackElement

    public CompileStack.StateStackElement()

Copyright © 2003-2009 The Codehaus. All rights reserved.